cobertura-maven-plugin 2.6 is used despite 2.7 is configured

classic Classic list List threaded Threaded
1 message Options
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

cobertura-maven-plugin 2.6 is used despite 2.7 is configured

WonderCsabo
Hi!

I have this section in my pom:

<reporting>
    <plugins>
        <plugin>
            <groupId>org.codehaus.mojo</groupId>
            <artifactId>cobertura-maven-plugin</artifactId>
            <version>2.7</version>
        </plugin>
    </plugins>
</reporting>

When i invoke this command from terminal:

mvn clean cobertura:cobertura

cobertura-maven-plugin version 2.6 is used:

[INFO] >>> cobertura-maven-plugin:2.6:cobertura (default-cli) > [cobertura]test @ myproject >>>

If i add this section too:

<build>
    <!-- ... -->
    <plugins>
        <!-- ... -->
        <plugin>
            <groupId>org.codehaus.mojo</groupId>
            <artifactId>cobertura-maven-plugin</artifactId>
            <version>2.7</version>
        </plugin>
    </plugins>
</build>

Version 2.7 is used as intended.

Is this normal? :S Thanks in advance!

(This is a cross-post with this SO question.)
Loading...